<?php

/*
Plugin Name: myCopyRight
Version:     0.5.20220517
Plugin URI:  http://blog.30c.org/1931.html
Description: 在单页文章页面的底部添加版权说明显示，此版本的css样式与排版由【怸歪】自定义。
Author:      Clove
Author URI:  http://blog.30c.org
*/

// for add to content ...
function myCopyRight($outer){
	if(!is_singular()){ return $outer; }

	global $post;
	$pName = $post->post_title;
	$pHref = get_permalink($post->ID);

	$outer .= "\n<!-- Begin myCopyRight http://30c.org-->\n";
	$outer .= '<link rel="stylesheet" href="'.WP_PLUGIN_URL.'/'.dirname(plugin_basename(__FILE__)).'/myCopyRight.css?v=8">';
	$outer .= '<div class="w880 cysm mt15 saxyi">';
	$outer .= '<div class="axieyi">';
	$outer .= '声明：<a href="'.get_settings('home').'"  target="_blank">'.get_bloginfo('name').'</a> | </span>本文采用署名-非商业性使用-相同方式共享 4.0 国际许可协议[<a href="http://creativecommons.org/licenses/by-nc-sa/4.0/deed.zh" target="_blank" rel="external nofollow" title="Under Creative Commons">CC BY-NC-SA</a>]进行授权<br>';
	$outer .= '文章名称：<a href="'. $pHref .'" rel="bookmark" title="本文固定链接 '. $pHref .'" target="_blank">'. $pName.'</a><br />';  
	$outer .= '文章链接：<a href="'. $pHref .'" rel="bookmark" title="本文固定链接 '. $pHref .'" target="_blank">'. $pHref .'</a><br />';  	
	$outer .= '本站文章若无特别说明，皆为原创，转载请注明来源：<a href="'.get_settings('home').'">'.get_bloginfo('name').'</a>，如果您喜欢可以订阅本站<a href="'.get_settings('home').'/feed/"  target="_blank">RSS feed</a></div>';
	$outer .= '<div class="azzsm">转载声明</div>';
	$outer .= '<br clear="all"></div>';
	$outer .= "\n<!-- End of myCopyRight -->\n";
	return $outer;
}

add_filter('the_content', 'myCopyRight');

?>